rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
python/spec-py.h File Reference
PYTHON-C Language Bindings.
`#include <rpmbuild.h>`
Include dependency graph for spec-py.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | specObject_s

## Typedefs

typedef struct specObject_s | specObject

## Functions

Spec | specFromSpec (specObject *spec)
specObject * | spec_Wrap (Spec spec)

## Variables

PyTypeObject | spec_Type

## Detailed Description

Definition in file spec-py.h.

## Function Documentation

specObject* spec_Wrap | ( | Spec | spec | ) |

Definition at line 213 of file spec-py.c.

References specObject_s::spec.

Referenced by spec_Parse().

Spec specFromSpec | ( | specObject * | spec | ) |

Definition at line 207 of file spec-py.c.

References specObject_s::spec.

Referenced by spec_get_build(), spec_get_buildroot(), spec_get_check(), spec_get_clean(), spec_get_install(), spec_get_prep(), and spec_get_sources().